<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <link href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css"
          integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous" rel="stylesheet">
    <title>Contacts</title>
</head>
<body class="text-center" style="background-color: #f5f5f5l; padding: 40px 40px">
<main style="width: 100%; max-width: 330px; padding: 15px; margin: 0 auto; vertical-align: middle">
    <h2 class="h3 mb-3 font-wight-normal" style="display: table; margin: 0 auto">Your contacts:</h2>
    <ul th:each="userName : ${users}" style="list-style: none; display: table; margin: 0 auto">
        <li th:unless="${userName == currentUser}">
            <a th:href="'/' + ${userName}" th:text="${userName}"></a>
        </li>
    </ul>
</main>
<footer>
    <div>
        <p class="mt-5 mb-3 text-muted" th:text="'Currently logged in as ' + ${currentUser}"></p>
        <form action="/auth/logout" method="post">
            <input type="hidden" th:name="${_csrf.parameterName}" th:value="${_csrf.token}">
            <button type="submit">Log out</button>
        </form>
    </div>
</footer>
</body>
</html>
